package com.sifang.modules.supply.warehouse.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.poi.ss.usermodel.DateUtil;
import org.hibernate.annotations.GenericGenerator;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_supply_allocation_order")
public class CrmSupplyAllocationOrder implements Serializable {

    private static final long serialVersionUID = 1L;
    private String id;

    private String code;
    private String warehouseId;
    private String warehouseName;
    private String outName;
    private String outAscriptionId;


    private String inWarehouseId;
    private String inWarehouseName;
    private String inName;
    private String inAscriptionId;

    private String receivingName;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss")
    private Date outTime;
    private String receivingImg;
    private String InReceivingImg;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss")
    private Date inTime;

    private String deliverRemarks;

    private String inRemarks;
    private String remarks;
    private String status;

    private String orderStatus;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String createBy;

    private String creator;
    private String auditBy;
    private String auditName;
    private Date auditTime;
    private String reasonsForFailure;

    private String deliveryMethod;

    private String deliverDriver;
    private String deliverMobile;

    private BigDecimal materialTypeAmount;
    private BigDecimal totalApplyAmount;
    private String deliverCarNum;

    private String logisticsNo;

    private String processInstanceId;
    private String taskId;
    private String taskName;
    private String processDefId;

    private String departmentId;
    private String departmentName;
    private String kingDeeId;

    private String operateUserIds;


    public String getOperateUserIds() {
        return operateUserIds;
    }

    public void setOperateUserIds(String operateUserIds) {
        this.operateUserIds = operateUserIds;
    }


    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getProcessDefId() {
        return processDefId;
    }

    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public BigDecimal getMaterialTypeAmount() {
        return materialTypeAmount;
    }

    public void setMaterialTypeAmount(BigDecimal materialTypeAmount) {
        this.materialTypeAmount = materialTypeAmount;
    }

    public BigDecimal getTotalApplyAmount() {
        return totalApplyAmount;
    }

    public void setTotalApplyAmount(BigDecimal totalApplyAmount) {
        this.totalApplyAmount = totalApplyAmount;
    }



    public String getDeliverDriver() {
        return deliverDriver;
    }

    public void setDeliverDriver(String deliverDriver) {
        this.deliverDriver = deliverDriver;
    }

    public String getDeliverMobile() {
        return deliverMobile;
    }

    public void setDeliverMobile(String deliverMobile) {
        this.deliverMobile = deliverMobile;
    }

    public String getDeliverCarNum() {
        return deliverCarNum;
    }

    public void setDeliverCarNum(String deliverCarNum) {
        this.deliverCarNum = deliverCarNum;
    }



    public String getInRemarks() {
        return inRemarks;
    }

    public void setInRemarks(String inRemarks) {
        this.inRemarks = inRemarks;
    }




    public String getDeliveryMethod() {
        return deliveryMethod;
    }

    public void setDeliveryMethod(String deliveryMethod) {
        this.deliveryMethod = deliveryMethod;
    }

    public String getLogisticsNo() {
        return logisticsNo;
    }

    public void setLogisticsNo(String logisticsNo) {
        this.logisticsNo = logisticsNo;
    }

    public String getReceivingImg() {
        return receivingImg;
    }

    public void setReceivingImg(String receivingImg) {
        this.receivingImg = receivingImg;
    }

    public String getInReceivingImg() {
        return InReceivingImg;
    }

    public void setInReceivingImg(String inReceivingImg) {
        InReceivingImg = inReceivingImg;
    }

    public String getInAscriptionId() {
        return inAscriptionId;
    }

    public void setInAscriptionId(String inAscriptionId) {
        this.inAscriptionId = inAscriptionId;
    }

    public String getOutAscriptionId() {
        return outAscriptionId;
    }

    public void setOutAscriptionId(String outAscriptionId) {
        this.outAscriptionId = outAscriptionId;
    }


    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getOutName() {
        return outName;
    }

    public void setOutName(String outName) {
        this.outName = outName;
    }

    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getInWarehouseName() {
        return inWarehouseName;
    }

    public void setInWarehouseName(String inWarehouseName) {
        this.inWarehouseName = inWarehouseName;
    }

    public String getInName() {
        return inName;
    }

    public void setInName(String inName) {
        this.inName = inName;
    }

    public String getReceivingName() {
        return receivingName;
    }

    public void setReceivingName(String receivingName) {
        this.receivingName = receivingName;
    }

    public Date getInTime() {
        return inTime;
    }

    public void setInTime(Date inTime) {
        this.inTime = inTime;
    }

    public Date getOutTime() {
        return outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    public String getDeliverRemarks() {
        return deliverRemarks;
    }

    public void setDeliverRemarks(String deliverRemarks) {
        this.deliverRemarks = deliverRemarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public String getAuditName() {
        return auditName;
    }

    public void setAuditName(String auditName) {
        this.auditName = auditName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getReasonsForFailure() {
        return reasonsForFailure;
    }

    public void setReasonsForFailure(String reasonsForFailure) {
        this.reasonsForFailure = reasonsForFailure;
    }

    public String getKingDeeId() {
        return kingDeeId;
    }

    public void setKingDeeId(String kingDeeId) {
        this.kingDeeId = kingDeeId;
    }
}
